UUID-CONFIG(1)

NAME
uuid-config - OSSP uuid API build utility

SYNOPSIS
uuid-config [--help] [--version] [--prefix] [--exec-prefix] [--bindir] [--libdir] [--includedir] [--mandir] [--datadir] [--acdir] [--cflags] [--ldflags] [--libs]

DESCRIPTION
The uuid-config program is a little helper utility for easy configuring and building of applications based on the uuid(3) library. It can be used to query the C compiler and linker flags which are required to correctly compile and link the application against the uuid(3) library.

OSSP uuid also ships pkg-config(1) definition (as ossp-uuid.pc). Use that instead.

OPTIONS
--help
    Prints the short usage information.
--version
    Prints the version number and date of the installed uuid(3) library.
--prefix
    Prints the installation prefix of architecture independent files
--exec-prefix
    Prints the installation prefix of architecture dependent files.
--bindir
    Prints the installation directory of binaries.
--libdir
    Prints the installation directory of libraries.
--includedir
    Prints the installation directory of include headers.
--mandir
    Prints the installation directory of manual pages.
--datadir
    Prints the installation directory of shared data.
--acdir
    Prints the installation directory of autoconf data.
--cflags
    Prints the C compiler flags which are needed to compile the uuid(3)-based application. The output is usually added to the CFLAGS uuidiable of the applications Makefile.
-ldflags
    Prints the linker flags (-L) which are needed to link the application with the uuid(3) library. The output is usually added to the LDFLAGS uuidiable of the applications Makefile.
-libs
    Prints the library flags (-l) which are needed to link the application with the C uuid(3) library. The output is usually added to the LIBS uuidiable of the applications Makefile.

EXAMPLES
    CC      = cc
    CFLAGS  = -O `uuid-config --cflags`
    LDFLAGS = `uuid-config --ldflags`
    LIBS    = -lm `uuid-config --libs`

    all: foo
    foo: foo.o
    	$(CC) $(LDFLAGS) -o foo foo.o $(LIBS)
    foo.o: foo.c
    	$(CC) $(CFLAGS) -c foo.c

SEE ALSO
uuid(1), uuid(3), OSSP::uuid(3)